/*  colortail -- output last part of file(s) in color
    Copyright (C) 1999  Joakim Andersson <pt98jan@student.hk-r.se>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "compare.h"

#include <string.h>

int compare(char *str, char *mask) {
   /* compare str and mask
      return:
      - 0 if search_str found
      - 1 otherwise
   */

   while (*str != '\0' && *mask != '\0') {
      switch (*mask) {
	 case '\\': /* escapes next char to make it be interpretated literally */
	    mask++;
	    if (*mask != *str)
	       return 1;
	    if (*mask == '\0')
	       return 1;
	    mask++;
	    str++;
	    break;
	 case '?': /* matches any character */
	    mask++;
	    str++;
	    break;
	 case '%': /* matches any sequence of chars except space */
	    mask++;
	    if (*mask == ' ') {
	       while (*str != ' ' && *str != '\0') {
		  str++;
	       }
	    }
	    else {
	       while (1) {
		  while (*str != *mask) {
		     if (*str == ' ')
			return 1;
		     if (*str == '\0')
			return 1;
		     str++;
		  }
		  if (*str == '\0') { /* if *str == '\0* must *mask be that too */
		     return 1;
		  }
		  str++;
		  mask++;
		  if (compare(str, mask))
		     break;
		  
		  str++;
	       }
	    }
	    break;
	 case '*': /* matches any sequence of chars */
	    mask++;
	    if (*mask == '\0')
	       return 0;
	    while (1) {
	       while (*str != *mask) {
		  if (*str == '\0')
		     return 1;
		  str++;
	       }
	       if (compare(str, mask) == 0) 
		  return 0;
	       str++;
	    }
	    break;
	 default:
	    if (*str != *mask)
	       return 1;
	    str++;
	    mask++;
      }
   }
   if (*str == *mask)
      return 0;

   return 1;	    
}



