/*  colortail -- output last part of file(s) in color
    Copyright (C) 1999  Joakim Andersson <pt98jan@student.hk-r.se>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <config.h>

#include "info.h"

#include <stdio.h>

void print_info() 
{
	printf("Colortail version %s\n", COLORTAIL_VERSION);
	printf("Copyright (C) 1999 Joakim Andersson <pt98jan@student.hk-r.se>\n");
	printf("Colortail comes with ABSOLUTELY NO WARRANTY; for details see the COPYING file.\n");
	printf("This is free software, and you are welcome to redistribute it\n");
	printf("under certain conditions; see the COPYING file for details.\n");
}

void print_usage()
{
	print_info();
	printf("\n");
	printf("Usage: colortail [OPTION]... [FILE]...\n");
	printf("  colortail will by default try to open $HOME/.colortail as color config file.\n");
	printf("   -f output appended data as the file grows\n");
	printf("   -k <color config file>  output files in color\n");
	printf("   -l no colors\n");
	printf("   -n <N> output the last N lines, instead of last 10\n");
	printf("   -v output version information and exit\n");
	printf("   -q never output headers giving file names\n");
	printf("\n");
}




