/*  colortail -- output last part of file(s) in color
    Copyright (C) 1999  Joakim Andersson <pt98jan@student.hk-r.se>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _main_
#define _main_

#include "cfg.h"

#include <sys/types.h>

#define MAX_ITEMS 10000
#define DEFAULT_ROWS 10

struct search_data *items[MAX_ITEMS];
int nr_items;

FILE *cfgfile; /* config file */
FILE **files; /* the files to tail */
char **file_names; /* the filenames */
int nfiles; /* number of files */

int *fds; /* the fds for the files */

off_t *file_sizes; /* array for file sizes */


int main(int argc, char **argv);
void free_items(int nr);
void clean_up(); /* callback for signals */

void tail_forever(FILE **files, int nfiles, int verbose);
void init_globals();
int check_digits(char *str);


#endif


